## robocode
Class RobocodeFileWriter

    java.lang.Object
      java.io.Writer
          java.io.OutputStreamWriter
              robocode.RobocodeFileWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class RobocodeFileWriter

extends java.io.OutputStreamWriter

RobocodeFileWriter is used for writing data out to a file, which you got by calling `AdvancedRobot.getDataFile(String)`.

You should read java.io.FileWriter for documentation of this class.

Please notice that the max. size of your data file is set to 200000 (~195 KB).

Author:
  Mathew A. Nelson (original)
See Also:
  `AdvancedRobot.getDataFile(String)`, `FileWriter`

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`RobocodeFileWriter(java.io.File file)` RobocodeFileWriter constructor -- see java.io.FileWriter for docs!
`RobocodeFileWriter(java.io.FileDescriptor fd)` RobocodeFileWriter constructor -- see java.io.FileWriter for docs!
`RobocodeFileWriter(java.lang.String fileName)` RobocodeFileWriter constructor -- see java.io.FileWriter for docs!
`RobocodeFileWriter(java.lang.String fileName, boolean append)` RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

Method Summary

Methods inherited from class java.io.OutputStreamWriter
`close, flush, getEncoding, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobocodeFileWriter

    public RobocodeFileWriter(java.io.File file)
                       throws java.io.IOException

  RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

  Throws:
    `java.io.IOException`
  See Also:
    `FileWriter`

### RobocodeFileWriter

    public RobocodeFileWriter(java.io.FileDescriptor fd)

  RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

  See Also:
    `FileWriter`

### RobocodeFileWriter

    public RobocodeFileWriter(java.lang.String fileName)
                       throws java.io.IOException

  RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

  Throws:
    `java.io.IOException`
  See Also:
    `FileWriter`

### RobocodeFileWriter

    public RobocodeFileWriter(java.lang.String fileName,
                              boolean append)
                       throws java.io.IOException

  RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

  Throws:
    `java.io.IOException`
  See Also:
    `FileWriter`